## fbreader 0.12.10dfsg2

=== Makefile ===
ROOTDIR = $(CURDIR)

include makefiles/platforms.mk

ZLIBDIRS = zlibrary/core zlibrary/text zlibrary/ui
APPDIRS = fbreader 

all:
	@for dir in $(ZLIBDIRS) $(APPDIRS); do \
		if [ -d $$dir ]; then \
			cd $$dir; \
			if ! $(MAKE); then \
				exit 1; \
			fi; \
			cd $(ROOTDIR); \
		fi; \
	done;

install: all do_install

do_install:
	@for dir in $(ZLIBDIRS) $(APPDIRS); do \
		if [ -d $$dir ]; then \
			cd $$dir; make $@; cd $(ROOTDIR); \
		fi; \
	done

do_install_dev:
	@for dir in $(ZLIBDIRS); do \
		if [ -d $$dir ]; then \
			cd $$dir; make $@; cd $(ROOTDIR); \
		fi; \
	done

clean:
	@for dir in $(ZLIBDIRS) $(APPDIRS); do \
		if [ -d $$dir ]; then \
			cd $$dir; make $@; cd $(ROOTDIR); \
		fi; \
	done

distclean: clean
	@rm -rvf *.tgz *.tar.gz *.ipk *.deb *.prc *.exe *.log *.dsc *.changes *.rpm
	@rm -rf tmp packages packages-nonGPL fbreader-*

=== fbreader/Makefile ===
ROOTDIR = $(CURDIR)/..

MAKEFILESDIR = $(ROOTDIR)/makefiles

include $(MAKEFILESDIR)/config.mk

TARGET = FBReader
target = fbreader

ALL_SUBDIRS = src src/database src/database/sqldb src/database/sqldb/implsqlite src/database/booksdb src/database/booksdb/runnables src/migration src/constants src/options src/library src/bookmodel src/formats src/formats/fb2 src/formats/docbook src/formats/css src/formats/html src/formats/pdb src/formats/txt src/formats/tcr src/formats/chm src/formats/xhtml src/formats/oeb src/formats/rtf src/formats/openreader src/formats/pdf src/formats/dummy src/formats/util src/external src/optionsDialog src/fbreader src/encodingOption src/network src/network/authentication src/network/authentication/basic src/network/atom src/network/opds src/network/authentication/litres src/blockTree src/libraryActions src/libraryTree src/networkActions src/networkTree
ALL_ARCHSUBDIRS = desktop pdaxrom opie zaurus maemo openzaurus pma400 win32

SUBDIRS = src/database src/database/sqldb src/database/sqldb/implsqlite src/database/booksdb src/database/booksdb/runnables src/migration src/constants src/options src/library src/bookmodel \
	src/formats src/formats/fb2 src/formats/css src/formats/html src/formats/pdb src/formats/txt src/formats/tcr src/formats/chm src/formats/xhtml src/formats/oeb src/formats/rtf src/formats/openreader src/formats/util \
	src/external src/optionsDialog src/fbreader src/encodingOption src/network src/network/authentication src/network/authentication/basic src/network/atom src/network/opds src/network/authentication/litres src/blockTree src/libraryActions src/libraryTree src/networkActions src/networkTree

all: .resources
	@for subdir in $(SUBDIRS); do \
		if ! $(MAKE) -C $$subdir -f $(MAKEFILESDIR)/subdir.mk; then \
			exit 1; \
		fi; \
	done;
	@echo -n 'Linking $(TARGET) ...'
	@$(LD) $(LDFLAGS) -o $(TARGET) `find src -name *.o` -L$(ROOTDIR)/zlibrary/text $(TEXT_LIBS) $(CORE_LIBS) -lsqlite3
	@echo ' OK'

FBSHAREDIR = $(DESTDIR)$(SHAREDIR)/FBReader
VARIANT = $(TARGET_ARCH)
ifneq "$(RESOLUTION)" "" 
  VARIANT = $(TARGET_ARCH)_$(RESOLUTION)
endif

APPIMAGEDIR_REAL = $(subst %application_name%,$(target),$(subst %APPLICATION_NAME%,$(TARGET),$(APPIMAGEDIR)))

do_install:
	@install -d $(DESTDIR)$(BINDIR)
	@install $(TARGET) $(DESTDIR)$(BINDIR)/FBReader
	@install -d $(FBSHAREDIR)
	@install -d $(FBSHAREDIR)/help
	@./scripts/install_help.sh $(VARIANT) $(FBSHAREDIR)/help
	@install -d $(FBSHAREDIR)/network
	@install -m 0644 $(wildcard data/network/*.xml) $(FBSHAREDIR)/network
	@install -d $(FBSHAREDIR)/network/certificates
	@install -m 0644 $(wildcard data/network/certificates/*.crt) $(FBSHAREDIR)/network/certificates
	@install -d $(FBSHAREDIR)/formats/html
	@install -m 0644 data/formats/html/html.ent $(FBSHAREDIR)/formats/html
	@install -d $(FBSHAREDIR)/formats/xhtml
	@install -m 0644 $(wildcard data/formats/xhtml/*.ent) $(FBSHAREDIR)/formats/xhtml
	@install -d $(FBSHAREDIR)/formats/fb2
	@sed "s/VERSION/$(VERSION)/" data/formats/fb2/FBReaderVersion.ent > $(FBSHAREDIR)/formats/fb2/FBReaderVersion.ent
	@install -m 0644 data/formats/fb2/fb2genres.xml $(FBSHAREDIR)/formats/fb2
	@install -d $(FBSHAREDIR)/default
	@./scripts/install_toolbar_and_menu.sh $(VARIANT) $(UI_TYPE) $(FBSHAREDIR)/default
	@install -m 0644 data/default/external.$(TARGET_ARCH).xml $(FBSHAREDIR)/default/external.xml
	@if [ -f data/default/messages.$(TARGET_ARCH).xml ]; then \
		install -m 0644 data/default/messages.$(TARGET_ARCH).xml $(FBSHAREDIR)/default/messages.xml; \
	fi
	@install -d $(FBSHAREDIR)/resources
	@install -m 0644 $(wildcard data/resources/*.xml) $(FBSHAREDIR)/resources
	@install -d $(DESTDIR)$(APPIMAGEDIR_REAL)
	@install -m 0644 $(wildcard data/icons/toolbar/$(VARIANT)/*.*) $(DESTDIR)$(APPIMAGEDIR_REAL)
	@install -m 0644 $(wildcard data/icons/filetree/$(VARIANT)/*.*) $(DESTDIR)$(APPIMAGEDIR_REAL)
	@install -m 0644 $(wildcard data/icons/booktree/new/*.*) $(DESTDIR)$(APPIMAGEDIR_REAL)
	@make -C $(TARGET_ARCH) RESOLUTION=$(RESOLUTION) install

clean:
	@for subdir in $(ALL_SUBDIRS); do \
		$(MAKE) -C $$subdir -f $(MAKEFILESDIR)/subdir.mk clean; \
	done;
	@for subdir in $(ALL_ARCHSUBDIRS); do \
		cd $$subdir; make clean; cd ..; \
	done;
	@$(RM) $(TARGET) err

=== fbreader/desktop/Makefile ===
ROOTDIR = $(CURDIR)/../..
include $(ROOTDIR)/makefiles/config.mk

TARGET = FBReader

SHARE_FBREADER = $(DESTDIR)$(SHAREDIR)/FBReader

install:
	@install -d $(DESTDIR)/usr/share/applications
	@install -m 0644 desktop $(DESTDIR)/usr/share/applications/$(TARGET).desktop
	@install -d $(DESTDIR)$(IMAGEDIR)
	@install -m 0644 ../data/icons/application/$(TARGET_ARCH).png $(DESTDIR)$(IMAGEDIR)/FBReader.png
	@install -m 0644 ../data/default/config.desktop.xml $(SHARE_FBREADER)/default/config.xml
	@install -m 0644 ../data/default/keymap.desktop.xml $(SHARE_FBREADER)/default/keymap.xml
	@install -m 0644 ../data/default/styles.desktop.xml $(SHARE_FBREADER)/default/styles.xml

clean:

=== fbreader/maemo/Makefile ===
ROOTDIR = $(CURDIR)/../..
include $(ROOTDIR)/makefiles/config.mk

DBUSDIR = /usr/share/dbus-1/services
MENUDIR = /etc/others-menu

DESKTOP_FILE = FBReader.desktop
SERVICE_FILE = FBReader.service
BACKUP_CONF = FBReader.backup

install:
	@install -m 0644 ../data/default/config.maemo.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/config.xml
	@install -m 0644 ../data/default/keymap.maemo.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/keymap.xml
	@install -m 0644 ../data/default/styles.maemo.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/styles.xml
	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps
	@install -m 0644 ../data/icons/application/16x16.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps/FBReader.png
	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/26x26/apps
	@install -m 0644 ../data/icons/application/26x26.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/26x26/apps/FBReader.png
	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/48x48/apps
	@install -m 0644 ../data/icons/application/48x48.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/48x48/apps/FBReader.png
	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps
	@install -m 0644 ../data/icons/application/64x64.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps/FBReader.png
	@install -d $(DESTDIR)$(SHAREDIR)/applications/hildon
	@install -m 0644 $(DESKTOP_FILE) $(DESTDIR)$(SHAREDIR)/applications/hildon
	@install -d $(DESTDIR)$(MENUDIR)
	@cd $(DESTDIR)$(MENUDIR); ln -sf ../../../usr/share/applications/hildon/$(DESKTOP_FILE) 0000_$(DESKTOP_FILE)
	@install -d $(DESTDIR)$(DBUSDIR)
	@install -m 0644 $(SERVICE_FILE) $(DESTDIR)$(DBUSDIR)
	@install -d $(DESTDIR)/etc/osso-backup/applications
	@install -m 0644 $(BACKUP_CONF) $(DESTDIR)/etc/osso-backup/applications/FBReader.conf

clean:

=== fbreader/moto/Makefile ===
ROOTDIR = $(CURDIR)/../..
include $(ROOTDIR)/makefiles/config.mk

install:
	@install -m 0644 ../data/default/config.$(TARGET_ARCH).xml $(DESTDIR)$(SHAREDIR)/FBReader/default/config.xml
	@install -m 0644 ../data/default/keymap.$(TARGET_ARCH).xml $(DESTDIR)$(SHAREDIR)/FBReader/default/keymap.xml
	@install -m 0644 ../data/default/styles.$(TARGET_ARCH).xml $(DESTDIR)$(SHAREDIR)/FBReader/default/styles.xml
	@install -d $(DESTDIR)$(INSTALLDIR)/pics
	@install -d $(DESTDIR)$(INSTALLDIR)/.FBReader
	@install -m 0644 ../data/icons/application/32x24.png $(DESTDIR)$(INSTALLDIR)/pics/FBReader-s.png
	@install -m 0644 ../data/icons/application/64x43.png $(DESTDIR)$(INSTALLDIR)/pics/FBReader-b.png
	@install -m 0644 ../data/icons/application/48x48.png $(DESTDIR)$(INSTALLDIR)/pics/FBReader.png
	@install -m 0644 FBReader.desktop $(DESTDIR)$(INSTALLDIR)/FBReader.desktop
	@install FBReader.sh $(DESTDIR)$(BINDIR)
	@install util/language_detector $(DESTDIR)$(BINDIR)

clean:

=== fbreader/pma400/Makefile ===
ROOTDIR = $(CURDIR)/../..
include $(ROOTDIR)/makefiles/config.mk

install:
	@install -m 0644 ../data/default/config.pma400.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/config.xml
	@install -m 0644 ../data/default/keymap.pma400.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/keymap.xml
	@install -m 0644 ../data/default/styles.240x320.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/styles.xml
	@install -d $(DESTDIR)$(INSTALLDIR)/pics
	@install -m 0644 ../data/icons/application/$(TARGET_ARCH).png $(DESTDIR)$(INSTALLDIR)/pics/FBReader.png
	@install -d $(DESTDIR)$(INSTALLDIR)/apps/Applications
	@install -m 0644 FBReader.desktop $(DESTDIR)$(INSTALLDIR)/apps/Applications/FBReader.desktop

clean:

=== fbreader/zaurus/Makefile ===
ROOTDIR = $(CURDIR)/../..
include $(ROOTDIR)/makefiles/config.mk

ifeq "$(RESOLUTION)" "240x320"
  PICS_TO = pics
else # RESOLUTION == 640x480
  PICS_TO = pics144
endif

install:
	@install -m 0644 ../data/default/config.zaurus.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/config.xml
	@install -m 0644 ../data/default/keymap.zaurus.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/keymap.xml
	@install -m 0644 ../data/default/styles.$(RESOLUTION).xml $(DESTDIR)$(SHAREDIR)/FBReader/default/styles.xml
	@install -d $(DESTDIR)$(INSTALLDIR)/$(PICS_TO)
	@install -m 0644 ../data/icons/application/$(TARGET_ARCH)_$(RESOLUTION).png $(DESTDIR)$(INSTALLDIR)/$(PICS_TO)/FBReader.png
	@install -d $(DESTDIR)$(INSTALLDIR)/apps/Applications
	@install -m 0644 FBReader.$(RESOLUTION).desktop $(DESTDIR)$(INSTALLDIR)/apps/Applications/FBReader.desktop

clean:

=== fbreader/moto/util/Makefile ===
ROOTDIR = ../../..

TARGET = language_detector

include $(ROOTDIR)/makefiles/qsubdir.mk

$(TARGET): language_detector.o
	@$(LD) $(LDFLAGS) -o $@ $^ $(UILIBS)

distclean: clean
	@$(RM) $(TARGET)

=== debian/changelog ===
fbreader (0.12.10dfsg2-6) UNRELEASED; urgency=medium

  * update

 -- Debian QA Group <packages@qa.debian.org>  Thu, 26 May 2022 13:35:10 +0800

fbreader (0.12.10dfsg2-6) unstable; urgency=low

  * QA upload.
  * Fix FTBFS with GCC-11 (Closes: #984121)
    - Add debian/patches/0014-fix-ftbfs-gcc11.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 12 Jan 2022 23:06:22 +0800

fbreader (0.12.10dfsg2-5) unstable; urgency=medium

  * QA upload.
  * Orphan package.
  * debian/source/format: Convert to "3.0 (quilt)" source package.
  * debian/control: Replace transitional package ttf-unifont with
    fonts-unifont.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 Aug 2021 23:14:08 -0400

fbreader (0.12.10dfsg2-4) unstable; urgency=medium

  * debian/control:
    - Drop Qt4 UI (libzlui-qt4), as Qt4 is going away. (Closes: #874867)
  * debian/patches:
    - New patch 0013-fbreader-Makefile-make-linking-order-reproducible, by
      Chris Lamb. (Closes: 861770)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 01 Sep 2019 10:59:46 +0200

fbreader (0.12.10dfsg2-3) unstable; urgency=medium

  * debian/patches:
    - New patch 0011-zlibrary-unix-curl-avoid-duplicate-case-in-a-switch.
      Fixes building with curl 7.62.0. Thanks to Adrian Bunk for the report
      and the libcurl API change hint. (Closes: #913382)
    - New patch 0012-makefiles-use-externally-passed-PKG_CONFIG-if-availa by
      Helmut Grohne.
  * debian/rules:
    - Enable cross-architecture building. Patch by Helmut Grohne.
      (Closes: #861422)
  * debian/control:
    - Updated Standards-Version to 4.2.1, no changes needed.
    - Added Recommends on sensible-utils (as suggested by lintian).
  * debian/source/format:
    - Created (with '1.0' inside).
  * debian/libzlcore-data.lintian-overrides:
    - Removed a false positive override introduced in 0.12.10dfsg2-1,
      apparently fixed in lintian since.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 09 Dec 2018 18:21:31 +0100

fbreader (0.12.10dfsg2-2) unstable; urgency=medium

  * debian/patches:
    - New patch booksdb-avoid-converting-boolean-to-shared_ptr.patch. Fixes
      building with GCC6. Patch by Robert Bihlmeyer. (Closes: #811676)
  * debian/copyright:
    - Updated my e-mail address.
    - Removed obsolete statements for DocBook/XHTML entity files removed in
      the previous upload. (Closes: #824393)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 24 Jul 2016 13:40:32 +0200

fbreader (0.12.10dfsg2-1) unstable; urgency=medium

  * debian/dfsg-repack:
    - Also remove docbook- and XHTML entity files. (Closes: #807074)
  * debian/patches:
    - New patch fbreader-Makefile-do-not-try-to-install-empty-format.patch, so
      upstream Makefile doesn't install unexisting XHTML entity files.
  * debian/control:
    - Updated Standards-Version to 3.9.6, no changes needed.
    - Bumped debhelper build-dependency to >= 9.
  * debian/rules:
    - Modernized using dh overrides.
  * debian/menu:
    - Removed as suggested by lintian, since a .desktop-file is present.
  * debian/libzlcore-data.lintian-overrides:
    - Added to override a false positive about reproducibility of
      usr/share/zlibrary/unicode.xml.gz.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 21 Feb 2016 10:46:49 +0100

fbreader (0.12.10dfsg-10) unstable; urgency=low

  * NMU acknowledged - thanks, Ondřej!
  * debian/control:
    - Bump ABI parts of libzlcore and libzltext package names for GCC5 C++11
      ABI transition. For historical reasons these package name parts were
      actually a bit off the SONAMEs, and now it's a good time to fix it.
      (Closes: #763468)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 21 Jul 2015 20:52:34 +0300

fbreader (0.12.10dfsg-9.1) unstable; urgency=medium

  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Sep 2014 14:04:47 +0200

fbreader (0.12.10dfsg-9) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.9.4, no changes needed.
    - Build-depend on libunibreak-dev instead of liblinebreak2-dev.
  * debian/patches:
    - New patch 950-link-to-libunibreak.patch.
    - New patch 951-fix-calling-compiler.patch, which replaces old
      940-use-debian-compiler-flags.patch: reworked to not override compiler
      flags by "target setup" instead of introducing DEBFLAGS, force verbose
      compilation and introduce CPPFLAGS and CXXFLAGS where needed.
  * debian/rules:
    - Include dpkg's buildflags.mk if present to support hardening.
    - Removed DEBFLAGS-hack.
    - Removed obsolete commented Qt3-related line.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 21 Jun 2013 13:17:00 +0300

fbreader (0.12.10dfsg-8) unstable; urgency=low

  * debian/patches:
    - New patch 600-fix-ftell-crash.patch, fixing a possible crash on
      migration. (Closes: #689338)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 06 Oct 2012 12:33:58 +0300

fbreader (0.12.10dfsg-7) unstable; urgency=medium

  * debian/rules:
    - Fixed FTFBS on binary-only builds. Report by Pino Toscano, patch by
      Salvatore Bonaccorso. (Closes: #680657)
  * debian/control:
    - Bumped Standards-Version to 3.9.3, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 08 Jul 2012 12:05:01 +0300

fbreader (0.12.10dfsg-6) unstable; urgency=medium

  * debian/patches:
    - New patch 910-zlui-qt4-links-to-QtCore.patch. Thanks to Stepan Golosunov
      for the report. (Closes: #649612)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 26 Nov 2011 12:35:23 +0200

fbreader (0.12.10dfsg-5) unstable; urgency=low

  * debian/{control,rules}
    - Don't build zlui-maemo anymore as its build-depends will be removed from
      Debian repositories. (Closes: #643745)
  * debian/patches:
    - Dropped maemo-specific patches as not needed anymore.
  * debian/NEWS:
    - Set the version of really uploaded package.
      Fixes a lintian warning 'debian-news-entry-has-unknown-version'.



=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	AUXMAKEFLAGS += -j$(NUMJOBS)
endif

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

DEB_DIR = $(CURDIR)/debian

export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
AUXMAKEFLAGS += 'LD=$$(CXX)'

%:
	dh $@ --with quilt

override_dh_auto_build:
	dh_auto_build -- $(AUXMAKEFLAGS) -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy
	dh_auto_build -- $(AUXMAKEFLAGS) -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy
	dh_auto_build -- $(AUXMAKEFLAGS) -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=gtk
	dh_auto_build -- $(AUXMAKEFLAGS) -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy

install-common:
	$(MAKE) -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/tmp/zlcore do_install
	$(MAKE) -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/tmp/zltext do_install

override_dh_auto_install-indep: install-common
	mv $(DEB_DIR)/tmp/zlcore/usr/share/zlibrary $(DEB_DIR)/libzlcore-data/usr/share
	mv $(DEB_DIR)/tmp/zltext/usr/share/zlibrary $(DEB_DIR)/libzltext-data/usr/share

override_dh_auto_install-arch: install-common
	mv $(DEB_DIR)/tmp/zlcore/usr/lib $(DEB_DIR)/libzlcore0.13/usr
	mv $(DEB_DIR)/tmp/zltext/usr/lib $(DEB_DIR)/libzltext0.13/usr
	$(MAKE) -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/libzlcore-dev do_install_dev
	$(MAKE) -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/libzltext-dev do_install_dev
	$(MAKE) -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=gtk DESTDIR=$(DEB_DIR)/libzlui-gtk do_install
	$(MAKE) -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/fbreader do_install

override_dh_makeshlibs:
	dh_makeshlibs -plibzlcore0.13
	dh_makeshlibs -plibzltext0.13

include /usr/share/quilt/quilt.make

=== debian/watch ===
version=2
opts=dversionmangle=s/dfsg\d*$// \
	http://www.fbreader.org/downloads.php fbreader-sources-(.*).tgz

## fbreader 0.12.10-21

=== fbreader/maemo/Makefile ===
--- 
+++ 
@@ -13,13 +13,13 @@
 	@install -m 0644 ../data/default/keymap.maemo.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/keymap.xml
 	@install -m 0644 ../data/default/styles.maemo.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/styles.xml
 	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps
-	@install -m 0644 ../data/icons/application/16x16.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps/FBReader.png
+	@install -m 0644 fbreader-16x16.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps/FBReader.png
 	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/26x26/apps
-	@install -m 0644 ../data/icons/application/26x26.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/26x26/apps/FBReader.png
+	@install -m 0644 fbreader-26x26.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/26x26/apps/FBReader.png
 	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/48x48/apps
-	@install -m 0644 ../data/icons/application/48x48.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/48x48/apps/FBReader.png
+	@install -m 0644 fbreader-48x48.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/48x48/apps/FBReader.png
 	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps
-	@install -m 0644 ../data/icons/application/64x64.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps/FBReader.png
+	@install -m 0644 fbreader-64x64.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps/FBReader.png
 	@install -d $(DESTDIR)$(SHAREDIR)/applications/hildon
 	@install -m 0644 $(DESKTOP_FILE) $(DESTDIR)$(SHAREDIR)/applications/hildon
 	@install -d $(DESTDIR)$(MENUDIR)

## fbreader 0.99.4

=== debian/changelog ===
fbreader (0.99.4-3mx15+1) mx; urgency=medium

  * Rebuild for MX 15 using multiple packages.
  * Rename new library packages with 0.99 soname, conflict and replace 0.12
    versions.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 Feb 2017 18:27:20 -0800

fbreader (0.99.4-1) stable; urgency=low

  * new upstream version

 -- Alexander Turkin <snowwlex@fbreader.org>  Fri, 30 Nov 2012 16:30:00 +0300

=== debian/control ===
Source: fbreader
Section: text
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 7), libgtk2.0-dev, libqt4-dev, libjpeg-dev,
  libexpat1-dev, libbz2-dev, libz-dev,
  libunibreak-dev, libfribidi-dev, libcurl4-gnutls-dev (>= 7.17),
  libsqlite3-dev
Homepage: http://www.fbreader.org/

Package: fbreader
Architecture: any
Replaces: fbreader-gtk, fbreader-qt, fbreader-qt4
Depends: ${misc:Depends}, ${shlibs:Depends},
  libzlui-gtk (>= ${binary:Version}) | libzlui-qt4 (>= ${binary:Version})
Breaks: libzlui-qt4 (<< 0.99), libzlui-gtk (<< 0.99),
  libzlui-qt (<< 0.99), libzlui-maemo (<< 0.99)
Description: e-book reader
 FBReader is an e-book reader.
 .
 Main features:
  * supports several open e-book formats: fb2, html, chm, plucker,
    palmdoc, ztxt, tcr (psion text), rtf, oeb, openreader, non-DRM'ed
    mobipocket, plain text, epub, eReader
  * reads directly from tar, zip, gzip, bzip2 archives (you can have
    several books in one archive)
  * supports a structured view of your e-book collection
  * automatically determines encodings
  * automatically generates a table of contents
  * keeps the last open book and the last read positions for all open books
    between runs
  * automatic hyphenation (patterns for several languages are included)
  * searching and downloading books from www.feedbooks.com and www.litres.ru
  * partial CSS support for epub files

Package: libzlcore0.99
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libzlcore-data (>= ${source:Version})
Conflicts: fbreader-gtk, fbreader-qt, fbreader-qt4
Description: ZLibrary cross-platform development library (shared library)
 This is the core of ZLibrary, the library that the fbreader e-book reader
 is based on.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzlcore-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Conflicts: libzlcore (<< 0.8.17-12), libzlcore0.12
Replaces: libzlcore (<< 0.8.17-12), libzlcore0.12
Description: ZLibrary cross-platform development library (support files)
 This package contains the support files for the core of ZLibrary, the library
 that the fbreader e-book reader is based on.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzltext0.99
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libzlcore0.99 (= ${binary:Version}),
  libzltext-data (>= ${source:Version})
Description: ZLibrary text model/viewer part (shared library)
 This package provides text model/viewer part of ZLibrary. See also 
 libzlcore0.10 package.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzltext-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Conflicts: libzltext, libzltext0.12
Replaces: libzltext, libzltext0.12
Description: ZLibrary text model/viewer part (support files)
 This package contains the support files for the text model/viewer part
 of ZLibrary. See also libzltext0.10 package.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzlui-gtk
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libzlcore0.99 (= ${binary:Version})
Suggests: ttf-unifont
Conflicts: libzlui-qt4
Description: GTK+ interface module for ZLibrary
 This package provides a GTK+-based UI for ZLibrary.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzlui-qt4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libzlcore0.99 (= ${binary:Version})
Conflicts: libzlui-gtk
Description: Qt4 interface module for ZLibrary
 This package provides a Qt4-based UI for ZLibrary.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzlcore-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libzlcore0.99 (= ${binary:Version})
Description: ZLibrary cross-platform development library (development files)
 This package contains development files for the ZLibrary core.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzltext-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libzltext0.99 (= ${binary:Version})
Description: ZLibrary text model/viewer part (development files)
 This package contains development files for the ZLibrary text model/viewer
 library.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	AUXMAKEFLAGS += -j$(NUMJOBS)
endif

CFLAGS += -D_REENTRANT

DPKG_EXPORT_BUILDFLAGS=1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

clean:
	dh clean

build-arch: build
build-indep: build
build: build-stamp
build-stamp:
	dh build --before dh_auto_build
	$(MAKE) -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy
	$(MAKE) -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy
	$(MAKE) -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=qt4
	$(MAKE) -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy
	dh build --after dh_auto_build
	touch build-stamp 

DEB_DIR = $(CURDIR)/debian

install: build
	dh install --before dh_auto_install
	$(MAKE) -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/tmp do_install
	mv $(DEB_DIR)/tmp/usr/share/zlibrary $(DEB_DIR)/libzlcore-data/usr/share
	mv $(DEB_DIR)/tmp/usr/lib $(DEB_DIR)/libzlcore0.99/usr/
	$(MAKE) -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/tmp do_install
	mv $(DEB_DIR)/tmp/usr/share/zlibrary $(DEB_DIR)/libzltext-data/usr/share
	mv $(DEB_DIR)/tmp/usr/lib $(DEB_DIR)/libzltext0.99/usr/
	$(MAKE) -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/libzlcore-dev do_install_dev
	$(MAKE) -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/libzltext-dev do_install_dev
	$(MAKE) -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=gtk DESTDIR=$(DEB_DIR)/libzlui-gtk do_install
	# $(MAKE) -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=qt DESTDIR=$(DEB_DIR)/libzlui-qt do_install
	$(MAKE) -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=qt4 DESTDIR=$(DEB_DIR)/libzlui-qt4 do_install
	$(MAKE) -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/fbreader do_install
	dh install --after dh_auto_install

binary-indep: binary-arch
	dh binary-indep

binary-arch: build install
	dh binary-arch --before dh_makeshlibs
	dh_makeshlibs -plibzlcore0.99
	dh_makeshlibs -plibzltext0.99
	dh_makeshlibs -plibzlui-gtk
	dh_makeshlibs -plibzlui-qt
# 	dh_shlibdeps -l debian/libzlcore0.99/usr/lib:debian/libzltext0.99/usr/lib
	dh binary-arch --after dh_makeshlibs

binary:	binary-indep binary-arch

# include /usr/share/quilt/quilt.make

## fbreader 0.99.4%2Bdfsg

=== fbreader/macosx/Makefile ===
ROOTDIR = $(CURDIR)/../..
include $(ROOTDIR)/makefiles/config.mk

SHARE_FBREADER = $(DESTDIR)$(SHAREDIR)/FBReader
BINARY = $(DESTDIR)$(BINDIR)/FBReader

install:
	@strip $(BINARY)
	@install -m 0644 Info.plist $(DESTDIR)$(INSTALLDIR)/Contents
	@install -m 0644 ../data/icons/application/FBReader.icns $(DESTDIR)$(INSTALLDIR)/Contents/Resources
	@install -m 0644 ../data/default/config.macosx.xml $(SHARE_FBREADER)/default/config.xml
	@install -m 0644 ../data/default/keymap.macosx.xml $(SHARE_FBREADER)/default/keymap.xml
	@install -m 0644 ../data/default/styles.desktop.xml $(SHARE_FBREADER)/default/styles.xml
	@$(QTBASEDIR)/bin/macdeployqt $(DESTDIR)$(INSTALLDIR)
	@for fw in QtDeclarative QtScript QtSql QtSvg QtXmlPatterns; do \
		rm -rf $(DESTDIR)$(INSTALLDIR)/Contents/Frameworks/$$fw.framework; \
	done
	@for plugin in accessible codecs bearer graphicssystems qmltooling; do \
		rm -rf $(DESTDIR)$(INSTALLDIR)/Contents/PlugIns/$$plugin; \
	done

## fbreader 0.99.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -21,21 +21,21 @@
 do_install:
 	@for dir in $(ZLIBDIRS) $(APPDIRS); do \
 		if [ -d $$dir ]; then \
-			cd $$dir; make $@; cd $(ROOTDIR); \
+			cd $$dir; $(MAKE) $@; cd $(ROOTDIR); \
 		fi; \
 	done
 
 do_install_dev:
 	@for dir in $(ZLIBDIRS); do \
 		if [ -d $$dir ]; then \
-			cd $$dir; make $@; cd $(ROOTDIR); \
+			cd $$dir; $(MAKE) $@; cd $(ROOTDIR); \
 		fi; \
 	done
 
 clean:
 	@for dir in $(ZLIBDIRS) $(APPDIRS); do \
 		if [ -d $$dir ]; then \
-			cd $$dir; make $@; cd $(ROOTDIR); \
+			cd $$dir; $(MAKE) $@; cd $(ROOTDIR); \
 		fi; \
 	done

=== fbreader/desktop/Makefile ===
--- 
+++ 
@@ -4,8 +4,10 @@
 TARGET = FBReader
 
 SHARE_FBREADER = $(DESTDIR)$(SHAREDIR)/FBReader
+BINARY = $(DESTDIR)$(BINDIR)/FBReader
 
 install:
+	@strip $(BINARY)
 	@install -d $(DESTDIR)/usr/share/applications
 	@install -m 0644 desktop $(DESTDIR)/usr/share/applications/$(TARGET).desktop
 	@install -d $(DESTDIR)$(IMAGEDIR)

=== fbreader/maemo/Makefile ===
--- 
+++ 
@@ -9,17 +9,16 @@
 BACKUP_CONF = FBReader.backup
 
 install:
-	@install -m 0644 ../data/default/config.maemo.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/config.xml
 	@install -m 0644 ../data/default/keymap.maemo.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/keymap.xml
 	@install -m 0644 ../data/default/styles.maemo.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/styles.xml
 	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps
-	@install -m 0644 fbreader-16x16.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps/FBReader.png
+	@install -m 0644 ../data/icons/application/16x16.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps/FBReader.png
 	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/26x26/apps
-	@install -m 0644 fbreader-26x26.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/26x26/apps/FBReader.png
+	@install -m 0644 ../data/icons/application/26x26.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/26x26/apps/FBReader.png
 	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/48x48/apps
-	@install -m 0644 fbreader-48x48.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/48x48/apps/FBReader.png
+	@install -m 0644 ../data/icons/application/48x48.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/48x48/apps/FBReader.png
 	@install -d $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps
-	@install -m 0644 fbreader-64x64.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps/FBReader.png
+	@install -m 0644 ../data/icons/application/64x64.png $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps/FBReader.png
 	@install -d $(DESTDIR)$(SHAREDIR)/applications/hildon
 	@install -m 0644 $(DESKTOP_FILE) $(DESTDIR)$(SHAREDIR)/applications/hildon
 	@install -d $(DESTDIR)$(MENUDIR)

=== fbreader/pdaxrom/Makefile ===
ROOTDIR = $(CURDIR)/../..
include $(ROOTDIR)/makefiles/config.mk

install:
	@install -m 0644 ../data/default/config.pdaxrom.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/config.xml
	@install -m 0644 ../data/default/keymap.pdaxrom.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/keymap.xml
	@install -m 0644 ../data/default/styles.640x480.xml $(DESTDIR)$(SHAREDIR)/FBReader/default/styles.xml
	@install -d $(DESTDIR)$(SHAREDIR)/pixmaps/FBReader
	@install -m 0644 ../data/icons/application/$(TARGET_ARCH).png $(DESTDIR)$(SHAREDIR)/pixmaps/FBReader/FBReader.png
	@install -d $(DESTDIR)/$(INSTALLDIR)/apps/Office/FBReader
	@install -m 0644 data/apps/Office/FBReader/AppRun $(DESTDIR)$(INSTALLDIR)/apps/Office/FBReader
	@install -m 0644 data/apps/Office/FBReader/AppInfo.xml $(DESTDIR)$(INSTALLDIR)/apps/Office/FBReader
	@install -d $(DESTDIR)/$(SHAREDIR)/applications
	@install -m 0644 data/share/applications/FBReader.desktop $(DESTDIR)/$(SHAREDIR)/applications

clean:

=== fbreader/win32/Makefile ===
ROOTDIR = $(CURDIR)/../..
include $(ROOTDIR)/makefiles/config.mk

SHARE_FBREADER = $(DESTDIR)/share/FBReader

install:
	@install -m 0644 ../data/default/keymap.win32.xml $(SHARE_FBREADER)/default/keymap.xml
	@install -m 0644 ../data/default/styles.win32.xml $(SHARE_FBREADER)/default/styles.xml

clean:

=== debian/changelog ===
fbreader (0.99.4+dfsg-5) unstable; urgency=medium

  * QA upload.
  * Prevent installing .so link in non-dev library pkgs.
  * Fix Breaks/Replaces.
  * Drop old NEWS.
  * Drop non-functional debian/watch.

 -- Bastian Germann <bage@debian.org>  Thu, 07 Sep 2023 15:41:50 +0000

fbreader (0.99.4+dfsg-4) unstable; urgency=medium

  * QA upload.
  * Install liblzui in fbreader.

 -- Bastian Germann <bage@debian.org>  Tue, 05 Sep 2023 10:24:23 +0000

fbreader (0.99.4+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Prevent the same files in two different packages.
  * Drop libzlui-qt and itegrate its contents into fbreader.

 -- Bastian Germann <bage@debian.org>  Tue, 05 Sep 2023 00:39:53 +0200

fbreader (0.99.4+dfsg-2) experimental; urgency=medium

  * QA upload.
  * fbreader: Fix Depends on libzlui-qt instead of dropped -qt4.

 -- Bastian Germann <bage@debian.org>  Mon, 04 Sep 2023 20:05:08 +0200

fbreader (0.99.4+dfsg-1) experimental; urgency=medium

  * QA upload.
  * Drop unneeded quilt Build-Dependency.
  * Update to new upstream version. (Closes: #765039)
  * Build with Qt5 patch. (Closes: #967336)

 -- Bastian Germann <bage@debian.org>  Sat, 02 Sep 2023 11:40:44 +0000

=== debian/control ===
Source: fbreader
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 9), libjpeg-dev,
  libexpat1-dev, libbz2-dev, libz-dev,
  libunibreak-dev, libfribidi-dev, libcurl4-gnutls-dev,
  libsqlite3-dev, pkg-config, qtbase5-dev
Homepage: http://www.fbreader.org/

Package: fbreader
Architecture: any
Replaces: fbreader-gtk, fbreader-qt, fbreader-qt4,
  libzlui-gtk (<< 0.99), libzlui-qt (<< 0.12)
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: sensible-utils
Breaks: libzlui-qt4 (<< 0.12), libzlui-gtk (<< 0.99),
  libzlui-qt (<< 0.12), libzlui-maemo (<< 0.12)
Description: e-book reader
 FBReader is an e-book reader.
 .
 Main features:
  * supports several open e-book formats: fb2, html, chm, plucker,
    palmdoc, ztxt, tcr (psion text), rtf, oeb, openreader, non-DRM'ed
    mobipocket, plain text, epub, eReader
  * reads directly from tar, zip, gzip, bzip2 archives (you can have
    several books in one archive)
  * supports a structured view of your e-book collection
  * automatically determines encodings
  * automatically generates a table of contents
  * keeps the last open book and the last read positions for all open books
    between runs
  * automatic hyphenation (patterns for several languages are included)
  * searching and downloading books from www.feedbooks.com and www.litres.ru
  * partial CSS support for epub files

Package: libzlcore0.13
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libzlcore-data (>= ${source:Version})
Breaks: libzlcore0.12
Replaces: libzlcore0.12
Conflicts: fbreader-gtk, fbreader-qt, fbreader-qt4
Description: ZLibrary cross-platform development library (shared library)
 This is the core of ZLibrary, the library that the fbreader e-book reader
 is based on.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzlcore-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Breaks: libzlcore (<< 0.8.17-12)
Replaces: libzlcore (<< 0.8.17-12)
Description: ZLibrary cross-platform development library (support files)
 This package contains the support files for the core of ZLibrary, the library
 that the fbreader e-book reader is based on.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzltext0.13
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libzlcore0.13 (= ${binary:Version}),
  libzltext-data (>= ${source:Version})
Breaks: libzltext0.12
Replaces: libzltext0.12
Description: ZLibrary text model/viewer part (shared library)
 This package provides text model/viewer part of ZLibrary. See also
 libzlcore0.10 package.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzltext-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Conflicts: libzltext, libzltext0.9
Replaces: libzltext, libzltext0.9
Description: ZLibrary text model/viewer part (support files)
 This package contains the support files for the text model/viewer part
 of ZLibrary. See also libzltext0.13 package.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzlcore-dev
Section: libdevel
Architecture: any
Breaks: libzlcore0.13 (<< 0.99.4+dfsg-5)
Replaces: libzlcore0.13 (<< 0.99.4+dfsg-5)
Depends: ${misc:Depends}, ${shlibs:Depends}, libzlcore0.13 (= ${binary:Version})
Description: ZLibrary cross-platform development library (development files)
 This package contains development files for the ZLibrary core.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

Package: libzltext-dev
Section: libdevel
Architecture: any
Breaks: libzltext0.13 (<< 0.99.4+dfsg-5)
Replaces: libzltext0.13 (<< 0.99.4+dfsg-5)
Depends: ${misc:Depends}, ${shlibs:Depends}, libzltext0.13 (= ${binary:Version})
Description: ZLibrary text model/viewer part (development files)
 This package contains development files for the ZLibrary text model/viewer
 library.
 .
 ZLibrary is a cross-platform library to build applications running on desktop
 Linux, Windows, different Linux-based PDAs using this library.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	AUXMAKEFLAGS += -j$(NUMJOBS)
endif

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

DEB_DIR = $(CURDIR)/debian

export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
AUXMAKEFLAGS += 'LD=$$(CXX)'

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(AUXMAKEFLAGS) -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy
	dh_auto_build -- $(AUXMAKEFLAGS) -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy
	dh_auto_build -- $(AUXMAKEFLAGS) -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=qt4
	dh_auto_build -- $(AUXMAKEFLAGS) -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy

install-common:
	$(MAKE) -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/tmp/zlcore do_install
	$(MAKE) -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/tmp/zltext do_install

override_dh_auto_install-indep: install-common
	mv $(DEB_DIR)/tmp/zlcore/usr/share/zlibrary $(DEB_DIR)/libzlcore-data/usr/share
	mv $(DEB_DIR)/tmp/zltext/usr/share/zlibrary $(DEB_DIR)/libzltext-data/usr/share

override_dh_auto_install-arch: install-common
	mv $(DEB_DIR)/tmp/zlcore/usr/lib $(DEB_DIR)/libzlcore0.13/usr
	mv $(DEB_DIR)/tmp/zltext/usr/lib $(DEB_DIR)/libzltext0.13/usr
	$(MAKE) -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/libzlcore-dev do_install_dev
	$(MAKE) -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/libzltext-dev do_install_dev
	$(MAKE) -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=qt4 DESTDIR=$(DEB_DIR)/fbreader do_install
	$(MAKE) -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy DESTDIR=$(DEB_DIR)/fbreader do_install

override_dh_makeshlibs:
	dh_makeshlibs -plibzlcore0.13
	dh_makeshlibs -plibzltext0.13
